"Fossies" - the Fresh Open Source Software Archive

Member "xapian-bindings-1.4.14/lua/Makefile.in" (23 Nov 2019, 42105 Bytes) of package /linux/www/xapian-bindings-1.4.14.tar.xz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 
   18 VPATH = @srcdir@
   19 am__is_gnu_make = { \
   20   if test -z '$(MAKELEVEL)'; then \
   21     false; \
   22   elif test -n '$(MAKE_HOST)'; then \
   23     true; \
   24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   25     true; \
   26   else \
   27     false; \
   28   fi; \
   29 }
   30 am__make_running_with_option = \
   31   case $${target_option-} in \
   32       ?) ;; \
   33       *) echo "am__make_running_with_option: internal error: invalid" \
   34               "target option '$${target_option-}' specified" >&2; \
   35          exit 1;; \
   36   esac; \
   37   has_opt=no; \
   38   sane_makeflags=$$MAKEFLAGS; \
   39   if $(am__is_gnu_make); then \
   40     sane_makeflags=$$MFLAGS; \
   41   else \
   42     case $$MAKEFLAGS in \
   43       *\\[\ \	]*) \
   44         bs=\\; \
   45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   46           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   47     esac; \
   48   fi; \
   49   skip_next=no; \
   50   strip_trailopt () \
   51   { \
   52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   53   }; \
   54   for flg in $$sane_makeflags; do \
   55     test $$skip_next = yes && { skip_next=no; continue; }; \
   56     case $$flg in \
   57       *=*|--*) continue;; \
   58         -*I) strip_trailopt 'I'; skip_next=yes;; \
   59       -*I?*) strip_trailopt 'I';; \
   60         -*O) strip_trailopt 'O'; skip_next=yes;; \
   61       -*O?*) strip_trailopt 'O';; \
   62         -*l) strip_trailopt 'l'; skip_next=yes;; \
   63       -*l?*) strip_trailopt 'l';; \
   64       -[dEDm]) skip_next=yes;; \
   65       -[JT]) skip_next=yes;; \
   66     esac; \
   67     case $$flg in \
   68       *$$target_option*) has_opt=yes; break;; \
   69     esac; \
   70   done; \
   71   test $$has_opt = yes
   72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   74 pkgdatadir = $(datadir)/@PACKAGE@
   75 pkgincludedir = $(includedir)/@PACKAGE@
   76 pkglibdir = $(libdir)/@PACKAGE@
   77 pkglibexecdir = $(libexecdir)/@PACKAGE@
   78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   79 install_sh_DATA = $(install_sh) -c -m 644
   80 install_sh_PROGRAM = $(install_sh) -c
   81 install_sh_SCRIPT = $(install_sh) -c
   82 INSTALL_HEADER = $(INSTALL_DATA)
   83 transform = $(program_transform_name)
   84 NORMAL_INSTALL = :
   85 PRE_INSTALL = :
   86 POST_INSTALL = :
   87 NORMAL_UNINSTALL = :
   88 PRE_UNINSTALL = :
   89 POST_UNINSTALL = :
   90 build_triplet = @build@
   91 host_triplet = @host@
   92 @MAINTAINER_MODE_TRUE@am__append_1 = except.i
   93 @DOCUMENTATION_RULES_TRUE@am__append_2 = docs/index.html
   94 subdir = lua
   95 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   96 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
   97 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
   98 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
   99 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
  100 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  101 	$(ACLOCAL_M4)
  102 DIST_COMMON = $(srcdir)/Makefile.am $(dist_docdata_DATA) \
  103 	$(dist_exampledata_DATA) $(am__DIST_COMMON)
  104 mkinstalldirs = $(install_sh) -d
  105 CONFIG_HEADER = $(top_builddir)/config.h
  106 CONFIG_CLEAN_FILES =
  107 CONFIG_CLEAN_VPATH_FILES =
  108 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  109 am__vpath_adj = case $$p in \
  110     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  111     *) f=$$p;; \
  112   esac;
  113 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  114 am__install_max = 40
  115 am__nobase_strip_setup = \
  116   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  117 am__nobase_strip = \
  118   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  119 am__nobase_list = $(am__nobase_strip_setup); \
  120   for p in $$list; do echo "$$p $$p"; done | \
  121   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  122   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  123     if (++n[$$2] == $(am__install_max)) \
  124       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  125     END { for (dir in files) print dir, files[dir] }'
  126 am__base_list = \
  127   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  128   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  129 am__uninstall_files_from_dir = { \
  130   test -z "$$files" \
  131     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  132     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  133          $(am__cd) "$$dir" && rm -f $$files; }; \
  134   }
  135 am__installdirs = "$(DESTDIR)$(lualibdir)" "$(DESTDIR)$(docdatadir)" \
  136 	"$(DESTDIR)$(exampledatadir)"
  137 LTLIBRARIES = $(lualib_LTLIBRARIES)
  138 am__DEPENDENCIES_1 =
  139 xapian_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
  140 nodist_xapian_la_OBJECTS = xapian_wrap.lo
  141 xapian_la_OBJECTS = $(nodist_xapian_la_OBJECTS)
  142 AM_V_lt = $(am__v_lt_@AM_V@)
  143 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  144 am__v_lt_0 = --silent
  145 am__v_lt_1 = 
  146 xapian_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  147 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  148 	$(CXXFLAGS) $(xapian_la_LDFLAGS) $(LDFLAGS) -o $@
  149 AM_V_P = $(am__v_P_@AM_V@)
  150 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  151 am__v_P_0 = false
  152 am__v_P_1 = :
  153 AM_V_GEN = $(am__v_GEN_@AM_V@)
  154 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  155 am__v_GEN_0 = @echo "  GEN     " $@;
  156 am__v_GEN_1 = 
  157 AM_V_at = $(am__v_at_@AM_V@)
  158 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  159 am__v_at_0 = @
  160 am__v_at_1 = 
  161 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  162 depcomp = $(SHELL) $(top_srcdir)/depcomp
  163 am__depfiles_maybe = depfiles
  164 am__mv = mv -f
  165 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  166 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  167 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  168 	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
  169 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  170 	$(AM_CXXFLAGS) $(CXXFLAGS)
  171 AM_V_CXX = $(am__v_CXX_@AM_V@)
  172 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  173 am__v_CXX_0 = @echo "  CXX     " $@;
  174 am__v_CXX_1 = 
  175 CXXLD = $(CXX)
  176 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  177 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  178 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  179 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  180 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  181 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
  182 am__v_CXXLD_1 = 
  183 SOURCES = $(nodist_xapian_la_SOURCES)
  184 DIST_SOURCES =
  185 am__can_run_installinfo = \
  186   case $$AM_UPDATE_INFO_DIR in \
  187     n|no|NO) false;; \
  188     *) (install-info --version) >/dev/null 2>&1;; \
  189   esac
  190 DATA = $(dist_docdata_DATA) $(dist_exampledata_DATA)
  191 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  192 # Read a list of newline-separated strings from the standard input,
  193 # and print each of them once, without duplicates.  Input order is
  194 # *not* preserved.
  195 am__uniquify_input = $(AWK) '\
  196   BEGIN { nonempty = 0; } \
  197   { items[$$0] = 1; nonempty = 1; } \
  198   END { if (nonempty) { for (i in items) print i; }; } \
  199 '
  200 # Make sure the list of sources is unique.  This is necessary because,
  201 # e.g., the same source file might be shared among _SOURCES variables
  202 # for different programs/libraries.
  203 am__define_uniq_tagged_files = \
  204   list='$(am__tagged_files)'; \
  205   unique=`for i in $$list; do \
  206     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  207   done | $(am__uniquify_input)`
  208 ETAGS = etags
  209 CTAGS = ctags
  210 am__tty_colors_dummy = \
  211   mgn= red= grn= lgn= blu= brg= std=; \
  212   am__color_tests=no
  213 am__tty_colors = { \
  214   $(am__tty_colors_dummy); \
  215   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  216     am__color_tests=no; \
  217   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  218     am__color_tests=yes; \
  219   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  220     am__color_tests=yes; \
  221   fi; \
  222   if test $$am__color_tests = yes; then \
  223     red=''; \
  224     grn=''; \
  225     lgn=''; \
  226     blu=''; \
  227     mgn=''; \
  228     brg=''; \
  229     std=''; \
  230   fi; \
  231 }
  232 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  233 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  234 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  235 # A command that, given a newline-separated list of test names on the
  236 # standard input, print the name of the tests that are to be re-run
  237 # upon "make recheck".
  238 am__list_recheck_tests = $(AWK) '{ \
  239   recheck = 1; \
  240   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  241     { \
  242       if (rc < 0) \
  243         { \
  244           if ((getline line2 < ($$0 ".log")) < 0) \
  245 	    recheck = 0; \
  246           break; \
  247         } \
  248       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  249         { \
  250           recheck = 0; \
  251           break; \
  252         } \
  253       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  254         { \
  255           break; \
  256         } \
  257     }; \
  258   if (recheck) \
  259     print $$0; \
  260   close ($$0 ".trs"); \
  261   close ($$0 ".log"); \
  262 }'
  263 # A command that, given a newline-separated list of test names on the
  264 # standard input, create the global log from their .trs and .log files.
  265 am__create_global_log = $(AWK) ' \
  266 function fatal(msg) \
  267 { \
  268   print "fatal: making $@: " msg | "cat >&2"; \
  269   exit 1; \
  270 } \
  271 function rst_section(header) \
  272 { \
  273   print header; \
  274   len = length(header); \
  275   for (i = 1; i <= len; i = i + 1) \
  276     printf "="; \
  277   printf "\n\n"; \
  278 } \
  279 { \
  280   copy_in_global_log = 1; \
  281   global_test_result = "RUN"; \
  282   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  283     { \
  284       if (rc < 0) \
  285          fatal("failed to read from " $$0 ".trs"); \
  286       if (line ~ /$(am__global_test_result_rx)/) \
  287         { \
  288           sub("$(am__global_test_result_rx)", "", line); \
  289           sub("[ 	]*$$", "", line); \
  290           global_test_result = line; \
  291         } \
  292       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  293         copy_in_global_log = 0; \
  294     }; \
  295   if (copy_in_global_log) \
  296     { \
  297       rst_section(global_test_result ": " $$0); \
  298       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  299       { \
  300         if (rc < 0) \
  301           fatal("failed to read from " $$0 ".log"); \
  302         print line; \
  303       }; \
  304       printf "\n"; \
  305     }; \
  306   close ($$0 ".trs"); \
  307   close ($$0 ".log"); \
  308 }'
  309 # Restructured Text title.
  310 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  311 # Solaris 10 'make', and several other traditional 'make' implementations,
  312 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  313 # by disabling -e (using the XSI extension "set +e") if it's set.
  314 am__sh_e_setup = case $$- in *e*) set +e;; esac
  315 # Default flags passed to test drivers.
  316 am__common_driver_flags = \
  317   --color-tests "$$am__color_tests" \
  318   --enable-hard-errors "$$am__enable_hard_errors" \
  319   --expect-failure "$$am__expect_failure"
  320 # To be inserted before the command running the test.  Creates the
  321 # directory for the log if needed.  Stores in $dir the directory
  322 # containing $f, in $tst the test, in $log the log.  Executes the
  323 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  324 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  325 # will run the test scripts (or their associated LOG_COMPILER, if
  326 # thy have one).
  327 am__check_pre = \
  328 $(am__sh_e_setup);					\
  329 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  330 $(am__tty_colors);					\
  331 srcdir=$(srcdir); export srcdir;			\
  332 case "$@" in						\
  333   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  334     *) am__odir=.;; 					\
  335 esac;							\
  336 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  337   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  338 if test -f "./$$f"; then dir=./;			\
  339 elif test -f "$$f"; then dir=;				\
  340 else dir="$(srcdir)/"; fi;				\
  341 tst=$$dir$$f; log='$@'; 				\
  342 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  343   am__enable_hard_errors=no; 				\
  344 else							\
  345   am__enable_hard_errors=yes; 				\
  346 fi; 							\
  347 case " $(XFAIL_TESTS) " in				\
  348   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  349     am__expect_failure=yes;;				\
  350   *)							\
  351     am__expect_failure=no;;				\
  352 esac; 							\
  353 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  354 # A shell command to get the names of the tests scripts with any registered
  355 # extension removed (i.e., equivalently, the names of the test logs, with
  356 # the '.log' extension removed).  The result is saved in the shell variable
  357 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  358 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  359 # since that might cause problem with VPATH rewrites for suffix-less tests.
  360 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  361 am__set_TESTS_bases = \
  362   bases='$(TEST_LOGS)'; \
  363   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  364   bases=`echo $$bases`
  365 RECHECK_LOGS = $(TEST_LOGS)
  366 AM_RECURSIVE_TARGETS = check recheck
  367 TEST_SUITE_LOG = test-suite.log
  368 TEST_EXTENSIONS = @EXEEXT@ .test
  369 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  370 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  371 am__set_b = \
  372   case '$@' in \
  373     */*) \
  374       case '$*' in \
  375         */*) b='$*';; \
  376           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  377        esac;; \
  378     *) \
  379       b='$*';; \
  380   esac
  381 am__test_logs1 = $(TESTS:=.log)
  382 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  383 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  384 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  385 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  386 	$(TEST_LOG_FLAGS)
  387 am__DIST_COMMON = $(srcdir)/../generic/generic.mk \
  388 	$(srcdir)/Makefile.in $(top_srcdir)/depcomp \
  389 	$(top_srcdir)/test-driver
  390 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  391 ACLOCAL = @ACLOCAL@
  392 AMTAR = @AMTAR@
  393 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  394 AR = @AR@
  395 AUTOCONF = @AUTOCONF@
  396 AUTOHEADER = @AUTOHEADER@
  397 AUTOM4TE = @AUTOM4TE@
  398 AUTOMAKE = @AUTOMAKE@
  399 AWK = @AWK@
  400 BINDINGS = @BINDINGS@
  401 CC = @CC@
  402 CCDEPMODE = @CCDEPMODE@
  403 CFLAGS = @CFLAGS@
  404 CLI = @CLI@
  405 COMPAT_VERSION = @COMPAT_VERSION@
  406 CPP = @CPP@
  407 CPPFLAGS = @CPPFLAGS@
  408 CSC = @CSC@
  409 CXX = @CXX@
  410 CXXCPP = @CXXCPP@
  411 CXXDEPMODE = @CXXDEPMODE@
  412 CXXFLAGS = @CXXFLAGS@
  413 CYGPATH_W = @CYGPATH_W@
  414 DEFS = @DEFS@
  415 DEPDIR = @DEPDIR@
  416 DLLTOOL = @DLLTOOL@
  417 DOXYGEN = @DOXYGEN@
  418 DSYMUTIL = @DSYMUTIL@
  419 DUMPBIN = @DUMPBIN@
  420 ECHO_C = @ECHO_C@
  421 ECHO_N = @ECHO_N@
  422 ECHO_T = @ECHO_T@
  423 EGREP = @EGREP@
  424 EXEEXT = @EXEEXT@
  425 FGREP = @FGREP@
  426 GACUTIL = @GACUTIL@
  427 GACUTIL_FLAGS = @GACUTIL_FLAGS@
  428 GREP = @GREP@
  429 HAVE_CXX11 = @HAVE_CXX11@
  430 INSTALL = @INSTALL@
  431 INSTALL_DATA = @INSTALL_DATA@
  432 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  433 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  434 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  435 INTREE_DYLD_PATH = @INTREE_DYLD_PATH@
  436 JAR = @JAR@
  437 JAVA = @JAVA@
  438 JAVAC = @JAVAC@
  439 JAVA_CHECK_JNI_OPTION = @JAVA_CHECK_JNI_OPTION@
  440 JAVA_CPPFLAGS = @JAVA_CPPFLAGS@
  441 JAVA_HOME = @JAVA_HOME@
  442 JAVA_PATHSEP = @JAVA_PATHSEP@
  443 JDK_HOME = @JDK_HOME@
  444 JNI_INCLUDE_DIR = @JNI_INCLUDE_DIR@
  445 LD = @LD@
  446 LDFLAGS = @LDFLAGS@
  447 LIBOBJS = @LIBOBJS@
  448 LIBS = @LIBS@
  449 LIBTOOL = @LIBTOOL@
  450 LIPO = @LIPO@
  451 LN_S = @LN_S@
  452 LTLIBOBJS = @LTLIBOBJS@
  453 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  454 LUA = @LUA@
  455 LUA_CPPFLAGS = @LUA_CPPFLAGS@
  456 LUA_INC = @LUA_INC@
  457 LUA_LIB = @LUA_LIB@
  458 LUA_SO = @LUA_SO@
  459 MAINT = @MAINT@
  460 MAKEINFO = @MAKEINFO@
  461 MANIFEST_TOOL = @MANIFEST_TOOL@
  462 MKDIR_P = @MKDIR_P@
  463 NM = @NM@
  464 NMEDIT = @NMEDIT@
  465 NO_UNDEFINED = @NO_UNDEFINED@
  466 OBJDUMP = @OBJDUMP@
  467 OBJEXT = @OBJEXT@
  468 OTOOL = @OTOOL@
  469 OTOOL64 = @OTOOL64@
  470 OVERRIDE_MACOSX_DEPLOYMENT_TARGET = @OVERRIDE_MACOSX_DEPLOYMENT_TARGET@
  471 PACKAGE = @PACKAGE@
  472 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  473 PACKAGE_NAME = @PACKAGE_NAME@
  474 PACKAGE_STRING = @PACKAGE_STRING@
  475 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  476 PACKAGE_URL = @PACKAGE_URL@
  477 PACKAGE_VERSION = @PACKAGE_VERSION@
  478 PATH_SEPARATOR = @PATH_SEPARATOR@
  479 PERL = @PERL@
  480 PERL_ARCH = @PERL_ARCH@
  481 PERL_INC = @PERL_INC@
  482 PERL_LIB = @PERL_LIB@
  483 PERL_SO = @PERL_SO@
  484 PERL_XAPIAN_VERSION = @PERL_XAPIAN_VERSION@
  485 PHP = @PHP@
  486 PHP7 = @PHP7@
  487 PHP7_EXTENSION_DIR = @PHP7_EXTENSION_DIR@
  488 PHP7_INC = @PHP7_INC@
  489 PHP7_LIBS = @PHP7_LIBS@
  490 PHP7_MAJOR_VERSION = @PHP7_MAJOR_VERSION@
  491 PHP7_PATH_SEPARATOR = @PHP7_PATH_SEPARATOR@
  492 PHP_CONFIG = @PHP_CONFIG@
  493 PHP_CONFIG7 = @PHP_CONFIG7@
  494 PHP_EXTENSION_DIR = @PHP_EXTENSION_DIR@
  495 PHP_INC = @PHP_INC@
  496 PHP_LIBS = @PHP_LIBS@
  497 PHP_MAJOR_VERSION = @PHP_MAJOR_VERSION@
  498 PHP_PATH_SEPARATOR = @PHP_PATH_SEPARATOR@
  499 PYTHON = @PYTHON@
  500 PYTHON2 = @PYTHON2@
  501 PYTHON2_INC = @PYTHON2_INC@
  502 PYTHON2_LIB = @PYTHON2_LIB@
  503 PYTHON2_LIBS = @PYTHON2_LIBS@
  504 PYTHON2_SO = @PYTHON2_SO@
  505 PYTHON3 = @PYTHON3@
  506 PYTHON3_CACHE_OPT1_EXT = @PYTHON3_CACHE_OPT1_EXT@
  507 PYTHON3_CACHE_TAG = @PYTHON3_CACHE_TAG@
  508 PYTHON3_INC = @PYTHON3_INC@
  509 PYTHON3_LIB = @PYTHON3_LIB@
  510 PYTHON3_LIBS = @PYTHON3_LIBS@
  511 PYTHON3_SO = @PYTHON3_SO@
  512 RANLIB = @RANLIB@
  513 RDOC = @RDOC@
  514 RST2HTML = @RST2HTML@
  515 RUBY = @RUBY@
  516 RUBY_DLEXT = @RUBY_DLEXT@
  517 RUBY_INC = @RUBY_INC@
  518 RUBY_INC_ARCH = @RUBY_INC_ARCH@
  519 RUBY_LIB = @RUBY_LIB@
  520 RUBY_LIBS = @RUBY_LIBS@
  521 RUBY_LIB_ARCH = @RUBY_LIB_ARCH@
  522 RUN_CSHARP = @RUN_CSHARP@
  523 SED = @SED@
  524 SET_MAKE = @SET_MAKE@
  525 SHELL = @SHELL@
  526 SN = @SN@
  527 STRIP = @STRIP@
  528 SWIG = @SWIG@
  529 SWIG_CXXFLAGS = @SWIG_CXXFLAGS@
  530 SWIG_FLAGS = @SWIG_FLAGS@
  531 TCLSH = @TCLSH@
  532 TCL_CPPFLAGS = @TCL_CPPFLAGS@
  533 TCL_INC = @TCL_INC@
  534 TCL_LIB = @TCL_LIB@
  535 TCL_LIBS = @TCL_LIBS@
  536 THREAD_LOCAL = @THREAD_LOCAL@
  537 VERSION = @VERSION@
  538 VERSION_NO_SNAPSHOT = @VERSION_NO_SNAPSHOT@
  539 XAPIAN_CONFIG = @XAPIAN_CONFIG@
  540 XAPIAN_CXXFLAGS = @XAPIAN_CXXFLAGS@
  541 XAPIAN_HEADERS = @XAPIAN_HEADERS@
  542 XAPIAN_HEADER_DIRS = @XAPIAN_HEADER_DIRS@
  543 XAPIAN_LIBS = @XAPIAN_LIBS@
  544 XAPIAN_VERSION = @XAPIAN_VERSION@
  545 abs_builddir = @abs_builddir@
  546 abs_srcdir = @abs_srcdir@
  547 abs_top_builddir = @abs_top_builddir@
  548 abs_top_srcdir = @abs_top_srcdir@
  549 ac_ct_AR = @ac_ct_AR@
  550 ac_ct_CC = @ac_ct_CC@
  551 ac_ct_CXX = @ac_ct_CXX@
  552 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  553 am__include = @am__include@
  554 am__leading_dot = @am__leading_dot@
  555 am__quote = @am__quote@
  556 am__tar = @am__tar@
  557 am__untar = @am__untar@
  558 bindir = @bindir@
  559 build = @build@
  560 build_alias = @build_alias@
  561 build_cpu = @build_cpu@
  562 build_os = @build_os@
  563 build_vendor = @build_vendor@
  564 builddir = @builddir@
  565 datadir = @datadir@
  566 datarootdir = @datarootdir@
  567 docdir = @docdir@
  568 dvidir = @dvidir@
  569 exec_prefix = @exec_prefix@
  570 host = @host@
  571 host_alias = @host_alias@
  572 host_cpu = @host_cpu@
  573 host_os = @host_os@
  574 host_vendor = @host_vendor@
  575 htmldir = @htmldir@
  576 includedir = @includedir@
  577 infodir = @infodir@
  578 install_sh = @install_sh@
  579 libdir = @libdir@
  580 libexecdir = @libexecdir@
  581 localedir = @localedir@
  582 localstatedir = @localstatedir@
  583 mandir = @mandir@
  584 mkdir_p = @mkdir_p@
  585 oldincludedir = @oldincludedir@
  586 pdfdir = @pdfdir@
  587 prefix = @prefix@
  588 program_transform_name = @program_transform_name@
  589 psdir = @psdir@
  590 sbindir = @sbindir@
  591 sharedstatedir = @sharedstatedir@
  592 srcdir = @srcdir@
  593 sysconfdir = @sysconfdir@
  594 target_alias = @target_alias@
  595 top_build_prefix = @top_build_prefix@
  596 top_builddir = @top_builddir@
  597 top_srcdir = @top_srcdir@
  598 
  599 # Define separately to allow overriding easily with: make SWIG_WERROR=
  600 SWIG_WERROR = -Werror
  601 
  602 # Recover from the removal of $@.  A full explanation of this is in the
  603 # automake manual under the heading "Multiple Outputs".
  604 make_many_locked = \
  605 @if test -f $@; then :; else \
  606   trap 'rm -rf "$(stamp)-lck" "$(stamp)"' 1 2 13 15; \
  607   if mkdir '$(stamp)-lck' 2>/dev/null; then \
  608     rm -f '$(stamp)'; \
  609     $(MAKE) $(AM_MAKEFLAGS) '$(stamp)'; \
  610     result=$$?; rm -rf '$(stamp)-lck'; exit $$result; \
  611   else \
  612     while test -d '$(stamp)-lck'; do sleep 1; done; \
  613     test -f '$(stamp)'; \
  614   fi; \
  615 fi
  616 
  617 multitarget_begin = @rm -f $@-t; touch $@-t
  618 multitarget_end = @mv -f $@-t $@
  619 TESTS = smoketest.lua
  620 AM_TESTS_ENVIRONMENT = \
  621 	LUA_CPATH='.libs/?$(LUA_SO)' ;\
  622 	export LUA_CPATH ;
  623 
  624 LOG_COMPILER = $(OSX_SIP_HACK_ENV) $(LUA)
  625 EXTRA_DIST = lua.i util.i except.i \
  626 	generate-lua-exceptions \
  627 	docs/index.rst \
  628 	$(TESTS) $(SWIG_GENERATED)
  629 
  630 lualibdir = @LUA_LIB@
  631 lualib_LTLIBRARIES = xapian.la
  632 AM_CPPFLAGS = @LUA_CPPFLAGS@
  633 AM_CXXFLAGS = @SWIG_CXXFLAGS@ $(XAPIAN_CXXFLAGS)
  634 xapian_la_LDFLAGS = -avoid-version -module -shrext "$(LUA_SO)" $(NO_UNDEFINED)
  635 nodist_xapian_la_SOURCES = xapian_wrap.cc
  636 xapian_la_LIBADD = $(XAPIAN_LIBS)
  637 SWIG_GENERATED = xapian_wrap.cc
  638 BUILT_SOURCES = $(SWIG_GENERATED) $(am__append_1) $(am__append_2)
  639 @MAINTAINER_MODE_TRUE@RUN_SWIG = $(PERL) '$(top_srcdir)'/swig-depcomp $(SWIG)
  640 MAINTAINERCLEANFILES = $(BUILT_SOURCES)
  641 exampledatadir = $(docdir)/lua/examples
  642 dist_exampledata_DATA = \
  643 	docs/examples/simpleindex.lua \
  644 	docs/examples/simpleexpand.lua \
  645 	docs/examples/simplematchdecider.lua \
  646 	docs/examples/simplesearch.lua
  647 
  648 docdatadir = $(docdir)/lua
  649 dist_docdata_DATA = docs/index.html
  650 all: $(BUILT_SOURCES)
  651 	$(MAKE) $(AM_MAKEFLAGS) all-am
  652 
  653 .SUFFIXES:
  654 .SUFFIXES: .cc .html .lo .log .o .obj .rst .test .test$(EXEEXT) .trs
  655 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../generic/generic.mk $(am__configure_deps)
  656 	@for dep in $?; do \
  657 	  case '$(am__configure_deps)' in \
  658 	    *$$dep*) \
  659 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  660 	        && { if test -f $@; then exit 0; else break; fi; }; \
  661 	      exit 1;; \
  662 	  esac; \
  663 	done; \
  664 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lua/Makefile'; \
  665 	$(am__cd) $(top_srcdir) && \
  666 	  $(AUTOMAKE) --gnu lua/Makefile
  667 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  668 	@case '$?' in \
  669 	  *config.status*) \
  670 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  671 	  *) \
  672 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  673 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  674 	esac;
  675 $(srcdir)/../generic/generic.mk $(am__empty):
  676 
  677 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  678 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  679 
  680 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  681 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  682 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  683 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  684 $(am__aclocal_m4_deps):
  685 
  686 install-lualibLTLIBRARIES: $(lualib_LTLIBRARIES)
  687 	@$(NORMAL_INSTALL)
  688 	@list='$(lualib_LTLIBRARIES)'; test -n "$(lualibdir)" || list=; \
  689 	list2=; for p in $$list; do \
  690 	  if test -f $$p; then \
  691 	    list2="$$list2 $$p"; \
  692 	  else :; fi; \
  693 	done; \
  694 	test -z "$$list2" || { \
  695 	  echo " $(MKDIR_P) '$(DESTDIR)$(lualibdir)'"; \
  696 	  $(MKDIR_P) "$(DESTDIR)$(lualibdir)" || exit 1; \
  697 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(lualibdir)'"; \
  698 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(lualibdir)"; \
  699 	}
  700 
  701 uninstall-lualibLTLIBRARIES:
  702 	@$(NORMAL_UNINSTALL)
  703 	@list='$(lualib_LTLIBRARIES)'; test -n "$(lualibdir)" || list=; \
  704 	for p in $$list; do \
  705 	  $(am__strip_dir) \
  706 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(lualibdir)/$$f'"; \
  707 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(lualibdir)/$$f"; \
  708 	done
  709 
  710 clean-lualibLTLIBRARIES:
  711 	-test -z "$(lualib_LTLIBRARIES)" || rm -f $(lualib_LTLIBRARIES)
  712 	@list='$(lualib_LTLIBRARIES)'; \
  713 	locs=`for p in $$list; do echo $$p; done | \
  714 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  715 	      sort -u`; \
  716 	test -z "$$locs" || { \
  717 	  echo rm -f $${locs}; \
  718 	  rm -f $${locs}; \
  719 	}
  720 
  721 xapian.la: $(xapian_la_OBJECTS) $(xapian_la_DEPENDENCIES) $(EXTRA_xapian_la_DEPENDENCIES) 
  722 	$(AM_V_CXXLD)$(xapian_la_LINK) -rpath $(lualibdir) $(xapian_la_OBJECTS) $(xapian_la_LIBADD) $(LIBS)
  723 
  724 mostlyclean-compile:
  725 	-rm -f *.$(OBJEXT)
  726 
  727 distclean-compile:
  728 	-rm -f *.tab.c
  729 
  730 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xapian_wrap.Plo@am__quote@
  731 
  732 .cc.o:
  733 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  734 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  735 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  736 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  737 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  738 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  739 
  740 .cc.obj:
  741 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  742 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  743 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  744 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  745 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  746 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  747 
  748 .cc.lo:
  749 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
  750 @am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  751 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
  752 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  753 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  754 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
  755 
  756 mostlyclean-libtool:
  757 	-rm -f *.lo
  758 
  759 clean-libtool:
  760 	-rm -rf .libs _libs
  761 install-dist_docdataDATA: $(dist_docdata_DATA)
  762 	@$(NORMAL_INSTALL)
  763 	@list='$(dist_docdata_DATA)'; test -n "$(docdatadir)" || list=; \
  764 	if test -n "$$list"; then \
  765 	  echo " $(MKDIR_P) '$(DESTDIR)$(docdatadir)'"; \
  766 	  $(MKDIR_P) "$(DESTDIR)$(docdatadir)" || exit 1; \
  767 	fi; \
  768 	for p in $$list; do \
  769 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  770 	  echo "$$d$$p"; \
  771 	done | $(am__base_list) | \
  772 	while read files; do \
  773 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdatadir)'"; \
  774 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdatadir)" || exit $$?; \
  775 	done
  776 
  777 uninstall-dist_docdataDATA:
  778 	@$(NORMAL_UNINSTALL)
  779 	@list='$(dist_docdata_DATA)'; test -n "$(docdatadir)" || list=; \
  780 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  781 	dir='$(DESTDIR)$(docdatadir)'; $(am__uninstall_files_from_dir)
  782 install-dist_exampledataDATA: $(dist_exampledata_DATA)
  783 	@$(NORMAL_INSTALL)
  784 	@list='$(dist_exampledata_DATA)'; test -n "$(exampledatadir)" || list=; \
  785 	if test -n "$$list"; then \
  786 	  echo " $(MKDIR_P) '$(DESTDIR)$(exampledatadir)'"; \
  787 	  $(MKDIR_P) "$(DESTDIR)$(exampledatadir)" || exit 1; \
  788 	fi; \
  789 	for p in $$list; do \
  790 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  791 	  echo "$$d$$p"; \
  792 	done | $(am__base_list) | \
  793 	while read files; do \
  794 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(exampledatadir)'"; \
  795 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(exampledatadir)" || exit $$?; \
  796 	done
  797 
  798 uninstall-dist_exampledataDATA:
  799 	@$(NORMAL_UNINSTALL)
  800 	@list='$(dist_exampledata_DATA)'; test -n "$(exampledatadir)" || list=; \
  801 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  802 	dir='$(DESTDIR)$(exampledatadir)'; $(am__uninstall_files_from_dir)
  803 
  804 ID: $(am__tagged_files)
  805 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  806 tags: tags-am
  807 TAGS: tags
  808 
  809 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  810 	set x; \
  811 	here=`pwd`; \
  812 	$(am__define_uniq_tagged_files); \
  813 	shift; \
  814 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  815 	  test -n "$$unique" || unique=$$empty_fix; \
  816 	  if test $$# -gt 0; then \
  817 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  818 	      "$$@" $$unique; \
  819 	  else \
  820 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  821 	      $$unique; \
  822 	  fi; \
  823 	fi
  824 ctags: ctags-am
  825 
  826 CTAGS: ctags
  827 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  828 	$(am__define_uniq_tagged_files); \
  829 	test -z "$(CTAGS_ARGS)$$unique" \
  830 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  831 	     $$unique
  832 
  833 GTAGS:
  834 	here=`$(am__cd) $(top_builddir) && pwd` \
  835 	  && $(am__cd) $(top_srcdir) \
  836 	  && gtags -i $(GTAGS_ARGS) "$$here"
  837 cscopelist: cscopelist-am
  838 
  839 cscopelist-am: $(am__tagged_files)
  840 	list='$(am__tagged_files)'; \
  841 	case "$(srcdir)" in \
  842 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  843 	  *) sdir=$(subdir)/$(srcdir) ;; \
  844 	esac; \
  845 	for i in $$list; do \
  846 	  if test -f "$$i"; then \
  847 	    echo "$(subdir)/$$i"; \
  848 	  else \
  849 	    echo "$$sdir/$$i"; \
  850 	  fi; \
  851 	done >> $(top_builddir)/cscope.files
  852 
  853 distclean-tags:
  854 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  855 
  856 # Recover from deleted '.trs' file; this should ensure that
  857 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  858 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  859 # to avoid problems with "make -n".
  860 .log.trs:
  861 	rm -f $< $@
  862 	$(MAKE) $(AM_MAKEFLAGS) $<
  863 
  864 # Leading 'am--fnord' is there to ensure the list of targets does not
  865 # expand to empty, as could happen e.g. with make check TESTS=''.
  866 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  867 am--force-recheck:
  868 	@:
  869 
  870 $(TEST_SUITE_LOG): $(TEST_LOGS)
  871 	@$(am__set_TESTS_bases); \
  872 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  873 	redo_bases=`for i in $$bases; do \
  874 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  875 	            done`; \
  876 	if test -n "$$redo_bases"; then \
  877 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  878 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  879 	  if $(am__make_dryrun); then :; else \
  880 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  881 	  fi; \
  882 	fi; \
  883 	if test -n "$$am__remaking_logs"; then \
  884 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  885 	       "recursion detected" >&2; \
  886 	elif test -n "$$redo_logs"; then \
  887 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  888 	fi; \
  889 	if $(am__make_dryrun); then :; else \
  890 	  st=0;  \
  891 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  892 	  for i in $$redo_bases; do \
  893 	    test -f $$i.trs && test -r $$i.trs \
  894 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  895 	    test -f $$i.log && test -r $$i.log \
  896 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  897 	  done; \
  898 	  test $$st -eq 0 || exit 1; \
  899 	fi
  900 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  901 	ws='[ 	]'; \
  902 	results=`for b in $$bases; do echo $$b.trs; done`; \
  903 	test -n "$$results" || results=/dev/null; \
  904 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  905 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  906 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  907 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  908 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  909 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  910 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  911 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  912 	  success=true; \
  913 	else \
  914 	  success=false; \
  915 	fi; \
  916 	br='==================='; br=$$br$$br$$br$$br; \
  917 	result_count () \
  918 	{ \
  919 	    if test x"$$1" = x"--maybe-color"; then \
  920 	      maybe_colorize=yes; \
  921 	    elif test x"$$1" = x"--no-color"; then \
  922 	      maybe_colorize=no; \
  923 	    else \
  924 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  925 	    fi; \
  926 	    shift; \
  927 	    desc=$$1 count=$$2; \
  928 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  929 	      color_start=$$3 color_end=$$std; \
  930 	    else \
  931 	      color_start= color_end=; \
  932 	    fi; \
  933 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  934 	}; \
  935 	create_testsuite_report () \
  936 	{ \
  937 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  938 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  939 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  940 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  941 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  942 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  943 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  944 	}; \
  945 	{								\
  946 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  947 	    $(am__rst_title);						\
  948 	  create_testsuite_report --no-color;				\
  949 	  echo;								\
  950 	  echo ".. contents:: :depth: 2";				\
  951 	  echo;								\
  952 	  for b in $$bases; do echo $$b; done				\
  953 	    | $(am__create_global_log);					\
  954 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  955 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  956 	if $$success; then						\
  957 	  col="$$grn";							\
  958 	 else								\
  959 	  col="$$red";							\
  960 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  961 	fi;								\
  962 	echo "$${col}$$br$${std}"; 					\
  963 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  964 	echo "$${col}$$br$${std}"; 					\
  965 	create_testsuite_report --maybe-color;				\
  966 	echo "$$col$$br$$std";						\
  967 	if $$success; then :; else					\
  968 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  969 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  970 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  971 	  fi;								\
  972 	  echo "$$col$$br$$std";					\
  973 	fi;								\
  974 	$$success || exit 1
  975 
  976 check-TESTS:
  977 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  978 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  979 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  980 	@set +e; $(am__set_TESTS_bases); \
  981 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  982 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  983 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  984 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  985 	exit $$?;
  986 recheck: all 
  987 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  988 	@set +e; $(am__set_TESTS_bases); \
  989 	bases=`for i in $$bases; do echo $$i; done \
  990 	         | $(am__list_recheck_tests)` || exit 1; \
  991 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  992 	log_list=`echo $$log_list`; \
  993 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  994 	        am__force_recheck=am--force-recheck \
  995 	        TEST_LOGS="$$log_list"; \
  996 	exit $$?
  997 smoketest.lua.log: smoketest.lua
  998 	@p='smoketest.lua'; \
  999 	b='smoketest.lua'; \
 1000 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1001 	--log-file $$b.log --trs-file $$b.trs \
 1002 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1003 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1004 .test.log:
 1005 	@p='$<'; \
 1006 	$(am__set_b); \
 1007 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1008 	--log-file $$b.log --trs-file $$b.trs \
 1009 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1010 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1011 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 1012 @am__EXEEXT_TRUE@	@p='$<'; \
 1013 @am__EXEEXT_TRUE@	$(am__set_b); \
 1014 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1015 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
 1016 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1017 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1018 
 1019 distdir: $(DISTFILES)
 1020 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1021 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1022 	list='$(DISTFILES)'; \
 1023 	  dist_files=`for file in $$list; do echo $$file; done | \
 1024 	  sed -e "s|^$$srcdirstrip/||;t" \
 1025 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 1026 	case $$dist_files in \
 1027 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 1028 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 1029 			   sort -u` ;; \
 1030 	esac; \
 1031 	for file in $$dist_files; do \
 1032 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 1033 	  if test -d $$d/$$file; then \
 1034 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 1035 	    if test -d "$(distdir)/$$file"; then \
 1036 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1037 	    fi; \
 1038 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 1039 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 1040 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1041 	    fi; \
 1042 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 1043 	  else \
 1044 	    test -f "$(distdir)/$$file" \
 1045 	    || cp -p $$d/$$file "$(distdir)/$$file" \
 1046 	    || exit 1; \
 1047 	  fi; \
 1048 	done
 1049 check-am: all-am
 1050 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1051 check: $(BUILT_SOURCES)
 1052 	$(MAKE) $(AM_MAKEFLAGS) check-am
 1053 all-am: Makefile $(LTLIBRARIES) $(DATA)
 1054 installdirs:
 1055 	for dir in "$(DESTDIR)$(lualibdir)" "$(DESTDIR)$(docdatadir)" "$(DESTDIR)$(exampledatadir)"; do \
 1056 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 1057 	done
 1058 install: $(BUILT_SOURCES)
 1059 	$(MAKE) $(AM_MAKEFLAGS) install-am
 1060 install-exec: install-exec-am
 1061 install-data: install-data-am
 1062 uninstall: uninstall-am
 1063 
 1064 install-am: all-am
 1065 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1066 
 1067 installcheck: installcheck-am
 1068 install-strip:
 1069 	if test -z '$(STRIP)'; then \
 1070 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1071 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1072 	      install; \
 1073 	else \
 1074 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1075 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1076 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1077 	fi
 1078 mostlyclean-generic:
 1079 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1080 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1081 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1082 
 1083 clean-generic:
 1084 
 1085 distclean-generic:
 1086 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1087 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1088 
 1089 maintainer-clean-generic:
 1090 	@echo "This command is intended for maintainers to use"
 1091 	@echo "it deletes files that may require special tools to rebuild."
 1092 	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
 1093 	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
 1094 clean: clean-am
 1095 
 1096 clean-am: clean-generic clean-libtool clean-lualibLTLIBRARIES \
 1097 	mostlyclean-am
 1098 
 1099 distclean: distclean-am
 1100 	-rm -rf ./$(DEPDIR)
 1101 	-rm -f Makefile
 1102 distclean-am: clean-am distclean-compile distclean-generic \
 1103 	distclean-tags
 1104 
 1105 dvi: dvi-am
 1106 
 1107 dvi-am:
 1108 
 1109 html: html-am
 1110 
 1111 html-am:
 1112 
 1113 info: info-am
 1114 
 1115 info-am:
 1116 
 1117 install-data-am: install-dist_docdataDATA install-dist_exampledataDATA \
 1118 	install-lualibLTLIBRARIES
 1119 	@$(NORMAL_INSTALL)
 1120 	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 1121 install-dvi: install-dvi-am
 1122 
 1123 install-dvi-am:
 1124 
 1125 install-exec-am:
 1126 
 1127 install-html: install-html-am
 1128 
 1129 install-html-am:
 1130 
 1131 install-info: install-info-am
 1132 
 1133 install-info-am:
 1134 
 1135 install-man:
 1136 
 1137 install-pdf: install-pdf-am
 1138 
 1139 install-pdf-am:
 1140 
 1141 install-ps: install-ps-am
 1142 
 1143 install-ps-am:
 1144 
 1145 installcheck-am: installcheck-local
 1146 
 1147 maintainer-clean: maintainer-clean-am
 1148 	-rm -rf ./$(DEPDIR)
 1149 	-rm -f Makefile
 1150 maintainer-clean-am: distclean-am maintainer-clean-generic
 1151 
 1152 mostlyclean: mostlyclean-am
 1153 
 1154 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 1155 	mostlyclean-libtool
 1156 
 1157 pdf: pdf-am
 1158 
 1159 pdf-am:
 1160 
 1161 ps: ps-am
 1162 
 1163 ps-am:
 1164 
 1165 uninstall-am: uninstall-dist_docdataDATA \
 1166 	uninstall-dist_exampledataDATA uninstall-local \
 1167 	uninstall-lualibLTLIBRARIES
 1168 
 1169 .MAKE: all check check-am install install-am install-data-am \
 1170 	install-strip
 1171 
 1172 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
 1173 	clean-generic clean-libtool clean-lualibLTLIBRARIES \
 1174 	cscopelist-am ctags ctags-am distclean distclean-compile \
 1175 	distclean-generic distclean-libtool distclean-tags distdir dvi \
 1176 	dvi-am html html-am info info-am install install-am \
 1177 	install-data install-data-am install-data-hook \
 1178 	install-dist_docdataDATA install-dist_exampledataDATA \
 1179 	install-dvi install-dvi-am install-exec install-exec-am \
 1180 	install-html install-html-am install-info install-info-am \
 1181 	install-lualibLTLIBRARIES install-man install-pdf \
 1182 	install-pdf-am install-ps install-ps-am install-strip \
 1183 	installcheck installcheck-am installcheck-local installdirs \
 1184 	maintainer-clean maintainer-clean-generic mostlyclean \
 1185 	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
 1186 	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
 1187 	uninstall-am uninstall-dist_docdataDATA \
 1188 	uninstall-dist_exampledataDATA uninstall-local \
 1189 	uninstall-lualibLTLIBRARIES
 1190 
 1191 .PRECIOUS: Makefile
 1192 
 1193 
 1194 # Export these so that we run the locally installed autotools when building
 1195 # from a bootstrapped git tree.
 1196 @MAINTAINER_MODE_TRUE@export ACLOCAL AUTOCONF AUTOHEADER AUTOM4TE AUTOMAKE
 1197 
 1198 # This is a hack for Mac OS X to work around "System Integrity Protection"
 1199 # which strips DYLD_* variables from the environment when running binaries
 1200 # in system bin directories.  This totally breaks running in-tree tests
 1201 # against system interpreters (e.g. /usr/bin/python), but even for an
 1202 # interpreter installed elsewhere we need to take special care because
 1203 # /bin/sh is also affected.  The trick we use is to define a variable
 1204 # which expands to the code needed to set DYLD_LIBRARY_PATH and inject
 1205 # this right when we run the interpreter.
 1206 @NEED_INTREE_DYLD_TRUE@export OSX_SIP_HACK_ENV=env DYLD_LIBRARY_PATH=$(INTREE_DYLD_PATH)
 1207 
 1208 # This requires GNU make, but apparently that's the default on OS X.
 1209 @OVERRIDE_MACOSX_DEPLOYMENT_TARGET_TRUE@export MACOSX_DEPLOYMENT_TARGET=@OVERRIDE_MACOSX_DEPLOYMENT_TARGET@
 1210 
 1211 installcheck-local:
 1212 	$(MAKE) check AM_TESTS_ENVIRONMENT=
 1213 
 1214 # Remove the .la file - xapian.la is never linked against (it's a module)
 1215 # and LUA doesn't use libltdl.  Note that the library gets installed by
 1216 # install-data, so that's where we need to hook.
 1217 install-data-hook:
 1218 	rm -f $(DESTDIR)$(lualibdir)/xapian.la
 1219 
 1220 # Because we don't install the .la file, "make uninstall" doesn't work and
 1221 # we need to remove the file ourselves.
 1222 uninstall-local:
 1223 	rm -f $(DESTDIR)$(lualibdir)/xapian$(LUA_SO)
 1224 @MAINTAINER_MODE_TRUE@except.i: $(srcdir)/generate-lua-exceptions ../../xapian-core/exception_data.pm
 1225 @MAINTAINER_MODE_TRUE@	$(PERL) -w -I$(srcdir)/../../xapian-core $(srcdir)/generate-lua-exceptions
 1226 
 1227 @MAINTAINER_MODE_TRUE@xapian_wrap.cc: except.i
 1228 @MAINTAINER_MODE_TRUE@	$(RUN_SWIG) $(SWIG_WERROR) -I'$(srcdir)' $(SWIG_FLAGS) -c++ \
 1229 @MAINTAINER_MODE_TRUE@	    -lua \
 1230 @MAINTAINER_MODE_TRUE@	    -o xapian_wrap.cc '$(srcdir)/'lua.i
 1231 
 1232 @MAINTAINER_MODE_TRUE@-include xapian_wrap.d
 1233 
 1234 @DOCUMENTATION_RULES_TRUE@.rst.html:
 1235 @DOCUMENTATION_RULES_TRUE@	-case "$@" in */*) d=`echo "$@"|sed 's,/[^/]*$$,,'`; $(MKDIR_P) "$$d" ;; esac
 1236 @DOCUMENTATION_RULES_TRUE@	$(RST2HTML) --exit-status=warning $< $@
 1237 
 1238 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1239 # Otherwise a system limit (for SysV at least) may be exceeded.
 1240 .NOEXPORT: